import { genAction, Api } from '../system';
import { useUserStore } from '/@/store/modules/user';
import { defHttp } from '/@/utils/http/axios';
import { isNullOrEmpty } from '/@/utils/is';

/*
 * 获取完工入库单分页列表
 */

export const getProductinputListByPage = async (params: any) => {
  let order = ''
  if (params.order != undefined) {
    order = params.order == 'descend' ? (params.field + ' desc') : params.field
  }
  const usParams = {WorkOrder:isNullOrEmpty(params.WorkOrder)?"":params.WorkOrder}
  return getProductinputListByPageAsync(usParams);
  
  // const rParams = genActionPage('BIZ_ERP_PROD_IN', sqlcmd, params.page, params.pageSize,option);
  // return getFinishedwarehouseListByPageAsync(rParams);
};
async function getProductinputListByPageAsync(params: any) {
  const data = await defHttp.post(
    { url: Api.GetProdctResult, params },
    {
      isTransformResponse: false,
    },
  );
  const model = {
    items: data,
    total: data.Count,
  };
  return model;
}